package com.ruoyi.system.domain.grid;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class GridItemDailyExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public GridItemDailyExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andSxbmIsNull() {
            addCriterion("sxbm is null");
            return (Criteria) this;
        }

        public Criteria andSxbmIsNotNull() {
            addCriterion("sxbm is not null");
            return (Criteria) this;
        }

        public Criteria andSxbmEqualTo(String value) {
            addCriterion("sxbm =", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmNotEqualTo(String value) {
            addCriterion("sxbm <>", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmGreaterThan(String value) {
            addCriterion("sxbm >", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmGreaterThanOrEqualTo(String value) {
            addCriterion("sxbm >=", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmLessThan(String value) {
            addCriterion("sxbm <", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmLessThanOrEqualTo(String value) {
            addCriterion("sxbm <=", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmLike(String value) {
            addCriterion("sxbm like", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmNotLike(String value) {
            addCriterion("sxbm not like", value, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmIn(List<String> values) {
            addCriterion("sxbm in", values, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmNotIn(List<String> values) {
            addCriterion("sxbm not in", values, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmBetween(String value1, String value2) {
            addCriterion("sxbm between", value1, value2, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxbmNotBetween(String value1, String value2) {
            addCriterion("sxbm not between", value1, value2, "sxbm");
            return (Criteria) this;
        }

        public Criteria andSxmcIsNull() {
            addCriterion("sxmc is null");
            return (Criteria) this;
        }

        public Criteria andSxmcIsNotNull() {
            addCriterion("sxmc is not null");
            return (Criteria) this;
        }

        public Criteria andSxmcEqualTo(String value) {
            addCriterion("sxmc =", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcNotEqualTo(String value) {
            addCriterion("sxmc <>", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcGreaterThan(String value) {
            addCriterion("sxmc >", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcGreaterThanOrEqualTo(String value) {
            addCriterion("sxmc >=", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcLessThan(String value) {
            addCriterion("sxmc <", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcLessThanOrEqualTo(String value) {
            addCriterion("sxmc <=", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcLike(String value) {
            addCriterion("sxmc like", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcNotLike(String value) {
            addCriterion("sxmc not like", value, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcIn(List<String> values) {
            addCriterion("sxmc in", values, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcNotIn(List<String> values) {
            addCriterion("sxmc not in", values, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcBetween(String value1, String value2) {
            addCriterion("sxmc between", value1, value2, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSxmcNotBetween(String value1, String value2) {
            addCriterion("sxmc not between", value1, value2, "sxmc");
            return (Criteria) this;
        }

        public Criteria andSjflIsNull() {
            addCriterion("sjfl is null");
            return (Criteria) this;
        }

        public Criteria andSjflIsNotNull() {
            addCriterion("sjfl is not null");
            return (Criteria) this;
        }

        public Criteria andSjflEqualTo(String value) {
            addCriterion("sjfl =", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflNotEqualTo(String value) {
            addCriterion("sjfl <>", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflGreaterThan(String value) {
            addCriterion("sjfl >", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflGreaterThanOrEqualTo(String value) {
            addCriterion("sjfl >=", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflLessThan(String value) {
            addCriterion("sjfl <", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflLessThanOrEqualTo(String value) {
            addCriterion("sjfl <=", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflLike(String value) {
            addCriterion("sjfl like", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflNotLike(String value) {
            addCriterion("sjfl not like", value, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflIn(List<String> values) {
            addCriterion("sjfl in", values, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflNotIn(List<String> values) {
            addCriterion("sjfl not in", values, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflBetween(String value1, String value2) {
            addCriterion("sjfl between", value1, value2, "sjfl");
            return (Criteria) this;
        }

        public Criteria andSjflNotBetween(String value1, String value2) {
            addCriterion("sjfl not between", value1, value2, "sjfl");
            return (Criteria) this;
        }

        public Criteria andClsxIsNull() {
            addCriterion("clsx is null");
            return (Criteria) this;
        }

        public Criteria andClsxIsNotNull() {
            addCriterion("clsx is not null");
            return (Criteria) this;
        }

        public Criteria andClsxEqualTo(String value) {
            addCriterion("clsx =", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxNotEqualTo(String value) {
            addCriterion("clsx <>", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxGreaterThan(String value) {
            addCriterion("clsx >", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxGreaterThanOrEqualTo(String value) {
            addCriterion("clsx >=", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxLessThan(String value) {
            addCriterion("clsx <", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxLessThanOrEqualTo(String value) {
            addCriterion("clsx <=", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxLike(String value) {
            addCriterion("clsx like", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxNotLike(String value) {
            addCriterion("clsx not like", value, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxIn(List<String> values) {
            addCriterion("clsx in", values, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxNotIn(List<String> values) {
            addCriterion("clsx not in", values, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxBetween(String value1, String value2) {
            addCriterion("clsx between", value1, value2, "clsx");
            return (Criteria) this;
        }

        public Criteria andClsxNotBetween(String value1, String value2) {
            addCriterion("clsx not between", value1, value2, "clsx");
            return (Criteria) this;
        }

        public Criteria andFgldIsNull() {
            addCriterion("fgld is null");
            return (Criteria) this;
        }

        public Criteria andFgldIsNotNull() {
            addCriterion("fgld is not null");
            return (Criteria) this;
        }

        public Criteria andFgldEqualTo(String value) {
            addCriterion("fgld =", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldNotEqualTo(String value) {
            addCriterion("fgld <>", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldGreaterThan(String value) {
            addCriterion("fgld >", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldGreaterThanOrEqualTo(String value) {
            addCriterion("fgld >=", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldLessThan(String value) {
            addCriterion("fgld <", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldLessThanOrEqualTo(String value) {
            addCriterion("fgld <=", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldLike(String value) {
            addCriterion("fgld like", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldNotLike(String value) {
            addCriterion("fgld not like", value, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldIn(List<String> values) {
            addCriterion("fgld in", values, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldNotIn(List<String> values) {
            addCriterion("fgld not in", values, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldBetween(String value1, String value2) {
            addCriterion("fgld between", value1, value2, "fgld");
            return (Criteria) this;
        }

        public Criteria andFgldNotBetween(String value1, String value2) {
            addCriterion("fgld not between", value1, value2, "fgld");
            return (Criteria) this;
        }

        public Criteria andZyccbmIsNull() {
            addCriterion("zyccbm is null");
            return (Criteria) this;
        }

        public Criteria andZyccbmIsNotNull() {
            addCriterion("zyccbm is not null");
            return (Criteria) this;
        }

        public Criteria andZyccbmEqualTo(String value) {
            addCriterion("zyccbm =", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmNotEqualTo(String value) {
            addCriterion("zyccbm <>", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmGreaterThan(String value) {
            addCriterion("zyccbm >", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmGreaterThanOrEqualTo(String value) {
            addCriterion("zyccbm >=", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmLessThan(String value) {
            addCriterion("zyccbm <", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmLessThanOrEqualTo(String value) {
            addCriterion("zyccbm <=", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmLike(String value) {
            addCriterion("zyccbm like", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmNotLike(String value) {
            addCriterion("zyccbm not like", value, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmIn(List<String> values) {
            addCriterion("zyccbm in", values, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmNotIn(List<String> values) {
            addCriterion("zyccbm not in", values, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmBetween(String value1, String value2) {
            addCriterion("zyccbm between", value1, value2, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andZyccbmNotBetween(String value1, String value2) {
            addCriterion("zyccbm not between", value1, value2, "zyccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmIsNull() {
            addCriterion("lhccbm is null");
            return (Criteria) this;
        }

        public Criteria andLhccbmIsNotNull() {
            addCriterion("lhccbm is not null");
            return (Criteria) this;
        }

        public Criteria andLhccbmEqualTo(String value) {
            addCriterion("lhccbm =", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmNotEqualTo(String value) {
            addCriterion("lhccbm <>", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmGreaterThan(String value) {
            addCriterion("lhccbm >", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmGreaterThanOrEqualTo(String value) {
            addCriterion("lhccbm >=", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmLessThan(String value) {
            addCriterion("lhccbm <", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmLessThanOrEqualTo(String value) {
            addCriterion("lhccbm <=", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmLike(String value) {
            addCriterion("lhccbm like", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmNotLike(String value) {
            addCriterion("lhccbm not like", value, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmIn(List<String> values) {
            addCriterion("lhccbm in", values, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmNotIn(List<String> values) {
            addCriterion("lhccbm not in", values, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmBetween(String value1, String value2) {
            addCriterion("lhccbm between", value1, value2, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andLhccbmNotBetween(String value1, String value2) {
            addCriterion("lhccbm not between", value1, value2, "lhccbm");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(String value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(String value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(String value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(String value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(String value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(String value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLike(String value) {
            addCriterion("create_by like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotLike(String value) {
            addCriterion("create_by not like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<String> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<String> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(String value1, String value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(String value1, String value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(String value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(String value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(String value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(String value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(String value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLike(String value) {
            addCriterion("update_time like", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotLike(String value) {
            addCriterion("update_time not like", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<String> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<String> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(String value1, String value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(String value1, String value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateByIsNull() {
            addCriterion("update_by is null");
            return (Criteria) this;
        }

        public Criteria andUpdateByIsNotNull() {
            addCriterion("update_by is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateByEqualTo(String value) {
            addCriterion("update_by =", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotEqualTo(String value) {
            addCriterion("update_by <>", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByGreaterThan(String value) {
            addCriterion("update_by >", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByGreaterThanOrEqualTo(String value) {
            addCriterion("update_by >=", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLessThan(String value) {
            addCriterion("update_by <", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLessThanOrEqualTo(String value) {
            addCriterion("update_by <=", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLike(String value) {
            addCriterion("update_by like", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotLike(String value) {
            addCriterion("update_by not like", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByIn(List<String> values) {
            addCriterion("update_by in", values, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotIn(List<String> values) {
            addCriterion("update_by not in", values, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByBetween(String value1, String value2) {
            addCriterion("update_by between", value1, value2, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotBetween(String value1, String value2) {
            addCriterion("update_by not between", value1, value2, "updateBy");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNull() {
            addCriterion("is_valid is null");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNotNull() {
            addCriterion("is_valid is not null");
            return (Criteria) this;
        }

        public Criteria andIsValidEqualTo(String value) {
            addCriterion("is_valid =", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotEqualTo(String value) {
            addCriterion("is_valid <>", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThan(String value) {
            addCriterion("is_valid >", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThanOrEqualTo(String value) {
            addCriterion("is_valid >=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThan(String value) {
            addCriterion("is_valid <", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThanOrEqualTo(String value) {
            addCriterion("is_valid <=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLike(String value) {
            addCriterion("is_valid like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotLike(String value) {
            addCriterion("is_valid not like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidIn(List<String> values) {
            addCriterion("is_valid in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotIn(List<String> values) {
            addCriterion("is_valid not in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidBetween(String value1, String value2) {
            addCriterion("is_valid between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotBetween(String value1, String value2) {
            addCriterion("is_valid not between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNull() {
            addCriterion("ylzd1 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNotNull() {
            addCriterion("ylzd1 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd1EqualTo(String value) {
            addCriterion("ylzd1 =", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotEqualTo(String value) {
            addCriterion("ylzd1 <>", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThan(String value) {
            addCriterion("ylzd1 >", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd1 >=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThan(String value) {
            addCriterion("ylzd1 <", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThanOrEqualTo(String value) {
            addCriterion("ylzd1 <=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Like(String value) {
            addCriterion("ylzd1 like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotLike(String value) {
            addCriterion("ylzd1 not like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1In(List<String> values) {
            addCriterion("ylzd1 in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotIn(List<String> values) {
            addCriterion("ylzd1 not in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Between(String value1, String value2) {
            addCriterion("ylzd1 between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotBetween(String value1, String value2) {
            addCriterion("ylzd1 not between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNull() {
            addCriterion("ylzd2 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNotNull() {
            addCriterion("ylzd2 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd2EqualTo(String value) {
            addCriterion("ylzd2 =", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotEqualTo(String value) {
            addCriterion("ylzd2 <>", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThan(String value) {
            addCriterion("ylzd2 >", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd2 >=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThan(String value) {
            addCriterion("ylzd2 <", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThanOrEqualTo(String value) {
            addCriterion("ylzd2 <=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Like(String value) {
            addCriterion("ylzd2 like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotLike(String value) {
            addCriterion("ylzd2 not like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2In(List<String> values) {
            addCriterion("ylzd2 in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotIn(List<String> values) {
            addCriterion("ylzd2 not in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Between(String value1, String value2) {
            addCriterion("ylzd2 between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotBetween(String value1, String value2) {
            addCriterion("ylzd2 not between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNull() {
            addCriterion("ylzd3 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNotNull() {
            addCriterion("ylzd3 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd3EqualTo(String value) {
            addCriterion("ylzd3 =", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotEqualTo(String value) {
            addCriterion("ylzd3 <>", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThan(String value) {
            addCriterion("ylzd3 >", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd3 >=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThan(String value) {
            addCriterion("ylzd3 <", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThanOrEqualTo(String value) {
            addCriterion("ylzd3 <=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Like(String value) {
            addCriterion("ylzd3 like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotLike(String value) {
            addCriterion("ylzd3 not like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3In(List<String> values) {
            addCriterion("ylzd3 in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotIn(List<String> values) {
            addCriterion("ylzd3 not in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Between(String value1, String value2) {
            addCriterion("ylzd3 between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotBetween(String value1, String value2) {
            addCriterion("ylzd3 not between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNull() {
            addCriterion("ylzd4 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNotNull() {
            addCriterion("ylzd4 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd4EqualTo(String value) {
            addCriterion("ylzd4 =", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotEqualTo(String value) {
            addCriterion("ylzd4 <>", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThan(String value) {
            addCriterion("ylzd4 >", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd4 >=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThan(String value) {
            addCriterion("ylzd4 <", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThanOrEqualTo(String value) {
            addCriterion("ylzd4 <=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Like(String value) {
            addCriterion("ylzd4 like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotLike(String value) {
            addCriterion("ylzd4 not like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4In(List<String> values) {
            addCriterion("ylzd4 in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotIn(List<String> values) {
            addCriterion("ylzd4 not in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Between(String value1, String value2) {
            addCriterion("ylzd4 between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotBetween(String value1, String value2) {
            addCriterion("ylzd4 not between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNull() {
            addCriterion("ylzd5 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNotNull() {
            addCriterion("ylzd5 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd5EqualTo(String value) {
            addCriterion("ylzd5 =", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotEqualTo(String value) {
            addCriterion("ylzd5 <>", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThan(String value) {
            addCriterion("ylzd5 >", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd5 >=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThan(String value) {
            addCriterion("ylzd5 <", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThanOrEqualTo(String value) {
            addCriterion("ylzd5 <=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Like(String value) {
            addCriterion("ylzd5 like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotLike(String value) {
            addCriterion("ylzd5 not like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5In(List<String> values) {
            addCriterion("ylzd5 in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotIn(List<String> values) {
            addCriterion("ylzd5 not in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Between(String value1, String value2) {
            addCriterion("ylzd5 between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotBetween(String value1, String value2) {
            addCriterion("ylzd5 not between", value1, value2, "ylzd5");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}